lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andi Vajda <va...@apache.org>
Subject Re: [VOTE] Release PyLucene 4.5.1-1
Date Wed, 30 Oct 2013 17:01:40 GMT

On Wed, 30 Oct 2013, Thomas Koch wrote:

> +1
>
> I could build JCC 2.18 and pylucene-4.5.1-1 on MacOS X (10.8.5) w. python2.7 and  java'1.6.0_65'
> all tests pass
>
> Note (minor): I always get the following error upon the first call of "make install"
> - that's not a real issue, the second call succeeds  - just annyoing ,-)
>
> I'm using a virtualenv for the build but that shouldn't really matter I guess...
>
> Reading http://pypi.python.org/simple/
> No local packages or download links found for lucene==4.5.1
> Best match: None
> Traceback (most recent call last):
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/runpy.py",
line 162, in _run_module_as_main
>    "__main__", fname, loader, pkg_name)
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/runpy.py",
line 72, in _run_code
>    exec code in run_globals
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/JCC-2.18-py2.7-macosx-10.8-intel.egg/jcc/__main__.py",
line 107, in <module>
>    cpp.jcc(sys.argv)
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/JCC-2.18-py2.7-macosx-10.8-intel.egg/jcc/cpp.py",
line 541, in jcc
>    egg_info, extra_setup_args)
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/JCC-2.18-py2.7-macosx-10.8-intel.egg/jcc/python.py",
line 1894, in compile
>    setup(**args)
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/core.py",
line 152, in setup
>    dist.run_commands()
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py",
line 953, in run_commands
>    self.run_command(cmd)
>  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py",
line 972, in run_command
>    cmd_obj.run()
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/install.py",
line 76, in run
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/install.py",
line 104, in do_egg_install
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/easy_install.py",
line 211, in run
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/easy_install.py",
line 427, in easy_install
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/easy_install.py",
line 478, in install_item
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/easy_install.py",
line 519, in process_distribution
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py",
line 563, in resolve
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py",
line 799, in best_match
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py",
line 811, in obtain
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/command/easy_install.py",
line 434, in easy_install
>  File "/Users/koch/.virtualenvs/pylucene/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/setuptools/package_index.py",
line 475, in fetch_distribution
> AttributeError: 'NoneType' object has no attribute 'clone'
> make: *** [install] Error 255
> (pylucene)ios:pylucene-4.5.1-1 koch$
>
>
> I'm using setuptools.__version__ '0.6c11' - from what I read so far here I guess an update
of setuptools should fix this, right?
>
> current version is setuptools 1.1.7 - seems I've missed a decade of 
> updates...

Apparently, it does solve it but I'm still puzzled.

And several generations :-)

Andi..

>
>
> regards,
> Thomas
> --
> Am 29.10.2013 um 01:46 schrieb Andi Vajda <vajda@apache.org>:
>
>>
>> The PyLucene 4.5.1-1 release tracking the recent release of Apache Lucene 4.5.1 is
ready.
>>
>> A release candidate is available from:
>> http://people.apache.org/~vajda/staging_area/
>>
>> A list of changes in this release can be seen at:
>> http://svn.apache.org/repos/asf/lucene/pylucene/branches/pylucene_4_5/CHANGES
>>
>> PyLucene 4.5.1 is built with JCC 2.18 included in these release artifacts:
>> http://svn.apache.org/repos/asf/lucene/pylucene/trunk/jcc/CHANGES
>>
>> A list of Lucene Java changes can be seen at:
>> http://svn.apache.org/repos/asf/lucene/dev/tags/lucene_solr_4_5_1/lucene/CHANGES.txt
>>
>> Please vote to release these artifacts as PyLucene 4.5.1-1.
>>
>> Thanks !
>>
>> Andi..
>>
>> ps: the KEYS file for PyLucene release signing is at:
>> http://svn.apache.org/repos/asf/lucene/pylucene/dist/KEYS
>> http://people.apache.org/~vajda/staging_area/KEYS
>>
>> pps: here is my +1
>
>

Mime
View raw message